Ticket #41962

Unable to switch ruleset after non ruleset locked scenario load

Open Date: 2021-04-10 02:20 Last Update: 2021-04-19 08:34

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

If I set a ruleset and then load a scenario with ruleset_locked=FALSE it is loaded with the currently loaded ruleset as expected. If I first load the ruleset_locked=FALSE scenario and then try to switch ruleset I get an error message that I can't switch ruleset after the game has started. This makes it look like I can't switch ruleset for non ruleset_locked scenarios.

Ticket History (3/6 Histories)

2021-04-10 02:20 Updated by: kvilhaugsvik
  • New Ticket "Unable to switch ruleset after non ruleset locked scenario load" created
2021-04-10 02:30 Updated by: cazfi
Comment

What do you propose as a fix? Adjusting the error message to tell how ruleset_locked=FALSE works?

2021-04-10 02:32 Updated by: kvilhaugsvik
Comment

Reply To cazfi

What do you propose as a fix? Adjusting the error message to tell how ruleset_locked=FALSE works?

That would probably be the easiest way to fix it.

2021-04-12 19:49 Updated by: kvilhaugsvik
  • Owner Update from (None) to kvilhaugsvik
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.0-beta2 (closed)
  • Component Update from (None) to Server
2021-04-19 08:34 Updated by: kvilhaugsvik
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login